IF (votp1 >= 98) votp1 = votp2 .

RECODE
  votp1 (0=95) (6=95) (7=95)  (98=95)  (99=95) (5=7) (8=5) (9=3) (10=6) (SYSMIS=95)  .
VAL LAB votp1 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT" 95 "DISCRETS".

RECODE
  q1x
  (5=7)  (6=95)  (7=95)  (8=5)  (9=3) (10=6) (98=95)  (99=95)  (SYSMIS=95)  (ELSE=Copy)  INTO  q1xb .
var lab q1xb "Deuxime choix exprim".
val lab q1xb 0 "AUCUN" 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT" 95 "DISCRETS".

IF (langm = 1 & age  <= 5 & (((occup =21 | occup = 97 | occup = 9 | occup = 11 | occup = 22)& (reven >=2 & reven <=7))) | occup = 10) GL = 1 .
IF (langm = 1 & age  <= 5 & (occup = 12  | reven = 1)) GL = 2 .
IF (langm = 1 & age = 6 & (occup = 9 |occup  = 11 | occup = 12 | occup = 22)) GL = 4 .
IF ((langm = 2 | langm = 7) & age <= 5) GL = 5 .
IF ((langm = 2 | langm = 7) & age = 6) GL = 6 .
var lab GL "Typologie de Gagn & Langlois".
val lab GL 1 "GL1" 2 "GL2" 4 "GL4" 5 "GL5" 6 "GL6".

IF (age = 1 & sexe = 1) strate = 1 .
IF (age = 1 & sexe = 2) strate = 2 .
IF (age = 2 & sexe = 1) strate = 1 .
IF (age = 2  & sexe = 2) strate = 2 .
IF (age = 3 & sexe = 1) strate = 5 .
IF (age = 3 & sexe = 2) strate = 6 .
IF (age = 4 & sexe = 1) strate = 5 .
IF (age = 4 & sexe = 2) strate = 6 .
IF (age = 5 & sexe = 1) strate = 9 .
IF (age = 5 & sexe = 2) strate = 10 .
IF (age = 6 & sexe = 1) strate = 11 .
IF (age = 6 & sexe = 2) strate = 12 .

var lab strate "Strates".
val lab strate 1 "H18-34" 2 "F18-34" 5 "H35-54" 6 "F35-54" 9 "H55-64" 10 "F55-64" 11 "H65+" 12 "F65+" .

DISCRIMINANT
  /GROUPS=votp1(1 3)
  /VARIABLES=langm q1x q3 q4 age scola occup reven sexe
  /ANALYSIS ALL
  /SAVE=CLASS
  /PRIORS  EQUAL
  /CLASSIFY=NONMISSING POOLED MEANSUB .
COMPUTE votp1a = votp1 .
IF missing(votp1a) | (votp1a = 95) votp1a = dis_1 .
var lab votp1a "INTENTIONS LECTORALES".
val lab votp1a 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

COMPUTE
vote2echoix = votp1a.
IF (votp1 <>q1xb) vote2echoix = q1xb .
IF (vote2echoix = 0 | vote2echoix = 95) vote2echoix = votp1a.
var lab vote2echoix "Application du deuxime choix  tous les partis".
val lab vote2echoix 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

EXECUTE .

COMPUTE
vote2echoixPLQ = votp1a.
IF (votp1 <>q1xb & q1xb = 1) vote2echoixPLQ = q1xb .
var lab vote2echoixPLQ "Application du deuxime choix vers PLQ".
val lab vote2echoixPLQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

EXECUTE .

COMPUTE
vote2echoixPQ = votp1a.
IF (votp1 <>q1xb & q1xb = 2) vote2echoixPQ = q1xb .
var lab vote2echoixPQ "Application du deuxime choix vers PQ".
val lab vote2echoixPQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
EXECUTE .

COMPUTE
vote2echoixCAQ = votp1a.
IF (votp1 <>q1xb & q1xb = 3) vote2echoixCAQ = q1xb .
var lab vote2echoixCAQ "Application du deuxime choix vers CAQ".
val lab vote2echoixCAQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
EXECUTE .

COMPUTE
vote2echoixQS = votp1a.
IF (votp1 <>q1xb & q1xb = 4) vote2echoixQS = q1xb .
var lab vote2echoixQS "Application du deuxime choix vers QS".
val lab vote2echoixQS 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
EXECUTE .

COMPUTE
vote2echoixPVQ = votp1a.
IF (votp1 <>q1xb & q1xb = 5) vote2echoixPVQ = q1xb .
var lab vote2echoixPVQ "Application du deuxime choix vers PVQ".
val lab vote2echoixPVQ 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
EXECUTE .

COMPUTE
vote2echoixON = votp1a.
IF (votp1 <>q1xb & q1xb = 6) vote2echoixON = q1xb .
var lab vote2echoixON "Application du deuxime choix vers ON".
val lab vote2echoixON 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".

COMPUTE
vote2echoixAUT = votp1a.
IF (votp1 <>q1xb & q1xb = 7) vote2echoixAUT = q1xb .
var lab vote2echoixAUT "Application du deuxime choix vers AUT".
val lab vote2echoixAUT 1 "PLQ" 2 "PQ" 3 "CAQ" 4 "QS" 5 "PVQ" 6 "ON" 7 "AUT".
EXECUTE .

IF (votp1a = 1 & q1xb = 0) transferts = 1 .
IF (votp1a = 1 & q1xb = 2) transferts = 2 .
IF (votp1a = 1 & q1xb = 3) transferts = 3 .
IF (votp1a = 1 & q1xb = 4) transferts = 4 .
IF (votp1a = 1 & q1xb = 5) transferts = 5 .
IF (votp1a = 1 & q1xb = 6) transferts = 6 .
IF (votp1a = 1 & q1xb = 7) transferts = 7 .
IF (votp1a = 1 & q1xb = 95) transferts = 1 .


IF (votp1a = 2 & q1xb = 0) transferts = 11 .
IF (votp1a = 2 & q1xb = 1) transferts = 12 .
IF (votp1a = 2 & q1xb = 3) transferts = 13 .
IF (votp1a = 2 & q1xb = 4) transferts = 14 .
IF (votp1a = 2 & q1xb = 5) transferts = 15 .
IF (votp1a = 2 & q1xb = 6) transferts = 16 .
IF (votp1a = 2 & q1xb = 7) transferts = 17 .
IF (votp1a = 2 & q1xb = 95) transferts = 11 .


IF (votp1a = 3 & q1xb = 0) transferts = 21 .
IF (votp1a = 3 & q1xb = 1) transferts = 22 .
IF (votp1a = 3 & q1xb = 2) transferts = 23 .
IF (votp1a = 3 & q1xb = 4) transferts = 24 .
IF (votp1a = 3 & q1xb = 5) transferts = 25 .
IF (votp1a = 3 & q1xb = 6) transferts = 26 .
IF (votp1a = 3 & q1xb = 7) transferts = 27 .
IF (votp1a = 3 & q1xb = 95) transferts = 21 .


IF (votp1a = 4 & q1xb = 0) transferts = 31 .
IF (votp1a = 4 & q1xb = 1) transferts = 32 .
IF (votp1a = 4 & q1xb = 2) transferts = 33 .
IF (votp1a = 4 & q1xb = 3) transferts = 34 .
IF (votp1a = 4 & q1xb = 5) transferts = 35 .
IF (votp1a = 4 & q1xb = 6) transferts = 36 .
IF (votp1a = 4 & q1xb = 7) transferts = 37 .
IF (votp1a = 4 & q1xb = 95) transferts = 31 .


IF (votp1a = 5 & q1xb = 0) transferts = 41 .
IF (votp1a = 5 & q1xb = 1) transferts = 42 .
IF (votp1a = 5 & q1xb = 2) transferts = 43 .
IF (votp1a = 5 & q1xb = 3) transferts = 44 .
IF (votp1a = 5 & q1xb = 4) transferts = 45 .
IF (votp1a = 5 & q1xb = 6) transferts = 46 .
IF (votp1a = 5 & q1xb = 7) transferts = 47 .
IF (votp1a = 5 & q1xb = 95) transferts = 41 .

IF (votp1a = 6 & q1xb = 0) transferts = 51 .
IF (votp1a = 6 & q1xb = 1) transferts = 52 .
IF (votp1a = 6 & q1xb = 2) transferts = 53 .
IF (votp1a = 6 & q1xb = 3) transferts = 54 .
IF (votp1a = 6 & q1xb = 4) transferts = 55 .
IF (votp1a = 6 & q1xb = 5) transferts = 56 .
IF (votp1a = 6 & q1xb = 7) transferts = 57 .
IF (votp1a = 6 & q1xb = 95) transferts = 51 .

IF (votp1a = 7 & q1xb = 0) transferts = 61 .
IF (votp1a = 7 & q1xb = 1) transferts = 22 .
IF (votp1a = 7 & q1xb = 2) transferts = 63 .
IF (votp1a = 7 & q1xb = 3) transferts = 64 .
IF (votp1a = 7 & q1xb = 4) transferts = 65 .
IF (votp1a = 7 & q1xb = 5) transferts = 66 .
IF (votp1a = 7 & q1xb = 6) transferts = 67 .
IF (votp1a = 7 & q1xb = 7) transferts = 61 .
IF (votp1a = 7 & q1xb = 95) transferts = 61 .

VAR lab transferts "transferts vers un second choix lectoral".

VAL lab transferts 1 'PLQ->AUCUN' 2 'PLQ->PQ' 3 'PLQ->CAQ' 4 'PLQ->QS' 5 'PLQ->PVQ'  6 'PLQ->ON' 7 'PLQ->AUT'
 11 'PQ->AUCUN' 12 'PQ->PLQ' 13 'PQ->CAQ' 14 'PQ->QS' 15 'PQ->PVQ'  16 'PQ->ON' 17 'PQ->AUT'
 21 'CAQ->AUCUN' 22 'CAQ->PLQ' 23 'CAQ->PQ' 24 'CAQ->QS' 25 'CAQ->PVQ'  26 'CAQ->ON' 27 'CAQ->AUT'
31 'QS->AUCUN' 32 'QS->PLQ' 33 'QS->PQ' 34 'QS->CAQ' 35 'QS->PVQ'  36 'QS->ON' 37 'QS->AUT'
41 'PVQ->AUCUN' 42 'PVQ->PLQ' 43 'PVQ->PQ' 44 'PVQ->CAQ' 45 'PVQ->QS'  46 'PVQ->ON' 47 'PVQ->AUT'
51 'ON->AUCUN' 52 'ON->PLQ' 53 'ON->PQ' 54 'ON->CAQ' 55 'ON->QS'  56 'ON->PVQ' 57 'ON->AUT'
61 'AUT->AUCUN' 62 'AUT->PLQ' 63 'AUT->PQ' 64 'AUT->CAQ' 65 'AUT->QS'  66 'AUT->PVQ' 67 'AUT->ON'.

FREQUENCIES
  VARIABLES=votp1 votp1a
  /ORDER=  ANALYSIS .
CROSSTABS
  /TABLES=langm  BY votp1a
  /FORMAT= AVALUE TABLES
  /CELLS= ROW
  /COUNT ROUND CELL .

EXECUTE .
